Compatible with Firefox 4 Rated 5 out of 5 stars

This addon intended for FF 3.5 but it STILL work on FF 4.0 and working nice! Great!